summaryrefslogtreecommitdiff
path: root/debian/gstreamer-plugin-template.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/gstreamer-plugin-template.postinst')
-rw-r--r--debian/gstreamer-plugin-template.postinst25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/gstreamer-plugin-template.postinst b/debian/gstreamer-plugin-template.postinst
new file mode 100644
index 0000000000..b3a2e1807f
--- /dev/null
+++ b/debian/gstreamer-plugin-template.postinst
@@ -0,0 +1,25 @@
+#! /bin/sh
+# template plugin postinst script
+
+set -e
+
+case "$1" in
+ configure)
+ # Update shared lib deps
+ gstreamer-register
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+